Package commoble.bagofyurting

# Class Registrator<T extends net.minecraftforge.registries.IForgeRegistryEntry<T>>

java.lang.Object
commoble.bagofyurting.Registrator<T>

public class Registrator<T extends net.minecraftforge.registries.IForgeRegistryEntry<T>> extends Object

## Constructor Summary

Constructors
Constructor
Description
`Registrator​(net.minecraftforge.event.RegistryEvent.Register<T> event)`

## Method Summary

Modifier and Type
Method
Description
`void`
`register​(String name, T object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Registrator

public Registrator​(net.minecraftforge.event.RegistryEvent.Register<T> event)

## Method Details

### register

public void register​(String name, T object)